Questo plugin non è stato testato con le ultime 3 versioni principali (major releases) di WordPress. Potrebbe non essere più mantenuto, o supportato, e potrebbe presentare problemi di compatibilità se utilizzato con versioni più recenti di WordPress.

Inline Spoilers

Descrizione

The plugin allows to create content spoilers with simple shortcode.

[spoiler title="Expand Me"]Spoiler content[/spoiler]

Screenshot

  • Guttenberg block
  • Spoiler shortcode [spoiler][/spoiler]
  • Collapsed spoiler
  • Expanded spoiler

Blocchi

Questo plugin fornisce 1 blocco.

  • Inline Spoilers

Installazione

  1. Insall via WordPress Dashboard or upload inline-spoiler.zip;
  2. Activate the plugin through the ‘Plugins’ menu in WordPress;
  3. Use shortcode in your content;

FAQ

How can I customize design of the spoiler?

Just override classes defined in styles/inline-spoilers-styles.css with your theme styles.

Recensioni

18 Aprile 2022
"Inline" means "in the same line" (see e.g. inline CSS, inline functions in C++). This plugin only allows inserting whole separate blocks with spoilers, not creating them in the same line. 1/5 for a misleading title that draws all searches to this dead-end which does not solve the problem.
19 Ottobre 2019
I'm using this plugin to mark NSFW parts in my blog and it works pretty good for that part. There are 2 minor problems though: 1. The plugin doesn't show up on the paragraph's (+) menu so I need to use [spoiler title="NFSW"] ... [/spoiler] manually each time (using WP 5.2.4). 2. I like the dark theme over the light theme and when using dark theme the text isn't converted to white. When these 2 minor things are fixed I'll give it a 5* rating.
10 Marzo 2019 2 risposte
Works like a charm once you know that you can't have spaces in a title. Use   instead and everything is fine.
24 Dicembre 2017
I've tried 9 plugins for spoilers. Only 2 of them allow you to read the text if javascript is disabled. And only this plugin works correctly with the theme customizr. Super!
Leggi tutte le recensioni di 11

Contributi e sviluppo

“Inline Spoilers” è un software open source. Le persone che hanno contribuito allo sviluppo di questo plugin sono indicate di seguito.

Collaboratori

“Inline Spoilers” è stato tradotto in 3 lingue. Grazie ai traduttori per i loro contributi.

Traduci “Inline Spoilers” nella tua lingua.

Ti interessa lo sviluppo?

Esplora il Codice segui il Repository SVN iscriviti al Log delle Modifiche. Puoi farlo tramite RSS con un lettore di feed.

Changelog (registro delle modifiche)

1.5.1

  • Fix Inline Spoiler block doesn’t appear in Guttenberg editor (https://wordpress.org/support/topic/block-folder-is-missing/).

1.5.0

  • Make flag for non-optimized script & style loading to prevent issues on some child themes (see https://wordpress.org/support/topic/spoiler-doesnt-show-up/ for more information)

    wp-config.php:


    /** Set FALSE to disable ‘Inline Spoliers’ plugin script & style optimization
    define( ‘IS_OPTIMIZE_LOADER’, false );

    /* That’s all, stop editing! Happy publishing. */

1.4.1

  • Fix https://wordpress.org/support/topic/fatal-error-when-activating-the-plugin-10/

1.4.0

  • Introduce Guttenberg block to create spoilers (special thanks to Sergey Zaytsev for doing most of things)

1.3.8

  • Allow empty spoiler title by default

1.3.7

  • Refactor deployment strategy to support multiply revisions for the same plugin version

1.3.3

  • Fix https://wordpress.org/support/topic/notice-undefined-variable-extra-in-wp-content-plugins-inline-spoilers-inlin/

1.3.2

  • Compatibility up to WordPress 4.9.8

1.3.1

  • Always show spoiler contents while javascript is disabled

1.2.8

  • Setup automated deployment with TravisCI

1.2.5

  • Balance content html tags

1.2.4

  • Add WP_DEBUG mode
  • Fix incorrect paragraph tags inside the spoiler

1.2.3

  • JavaScript bug fix

1.2.2

  • Update spoiler default behaviour

1.1.2

  • Update Russian translation
  • Add attribute ‘initial_state’ to define default state of a spoiler initial_state=(expanded|collapsed). Default state is ‘collapsed’
  • Security updates

1.0.2

  • Update Russian translation

1.0.1

  • Release the plugin